# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-devel
# END SourceDeps(oneline)
Name:           x-tile
Version:        2.5
Release:        alt1_2
Summary:        A GTK application to tile windows in different ways

Group:          Graphical desktop/Other
License:        GPLv2+
URL:            http://www.giuspen.com/x-tile/
Source0:        http://www.giuspen.com/software/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  python-module-setuptools
Requires:       gnome-python2-gconf
Requires:       pygtk2
BuildArch:      noarch
Source44: import.info

%description
X-tile is a GTK application that allows you to select a number of windows and
tile them in different ways. This is especially useful for comparing products in
separate web pages, or for programmers referring to documentation as they are
programming.


%prep
%setup -q

# Remove import of cons module in setup.py, only needed to get the current
# version of x-tile. The cons module calls the gtk one, which needs a running
# graphical session
sed -i "\|import cons|d; s|cons.VERSION|\"%{version}\"|" setup.py


%build
%{__python} setup.py build


%install
%{__python} setup.py install \
  --no-compile \
  --root $RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_datadir}/%{name}/glade/x-tile.glade.h

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%files -f %{name}.lang
%doc license
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.svg
%{python_sitelibdir_noarch}/*.egg-info
%{_mandir}/man1/%{name}.1.*


%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 2.5-alt1_2
- update to new release by fcimport

* Wed Jan 16 2013 Igor Vlasenko <viy@altlinux.ru> 2.5-alt1_1
- initial fc import

